#!/bin/bash
# Copyright © 2019-2025 Collabora Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set -e
set -u
set -x

echo "1..1"

tmpdir="$(mktemp -d)"
cleanup () {
    rm -fr "$tmpdir"
}
trap cleanup 0 INT QUIT ABRT PIPE TERM

cp -a examples/ogg-vorbis/* "$tmpdir"

make -C "$tmpdir" V=1
make -C "$tmpdir" V=1 check
make -C "$tmpdir" V=1 clean

echo "ok 1"

# vim:set sw=4 sts=4 et ft=sh:
